Qt 5.11 | Qt 3D | C++ Classes | QSkeletonMapping

Qt 5.11.3 Reference Documentation

# QSkeletonMapping Class

(Qt3DAnimation::QSkeletonMapping)

Inherits: | Qt3DAnimation::QAbstractChannelMapping

- List of all members, including inherited members

## Properties

- skeleton : Qt3DCore::QAbstractSkeleton*

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QSkeletonMapping(Qt3DCore::QNode *parent = nullptr)
virtual | ~QSkeletonMapping()
Qt3DCore::QAbstractSkeleton * | skeleton() const

- 13 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setSkeleton(Qt3DCore::QAbstractSkeleton *skeleton)

- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | skeletonChanged(Qt3DCore::QAbstractSkeleton *skeleton)

- 4 signals inherited from Qt3DCore::QNode

## Protected Functions

| QSkeletonMapping(Qt3DAnimation::QSkeletonMappingPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Property Documentation

### skeleton : Qt3DCore::QAbstractSkeleton*

Access functions:

Qt3DCore::QAbstractSkeleton * | skeleton() const
void | setSkeleton(Qt3DCore::QAbstractSkeleton *skeleton)

Notifier signal:

void | skeletonChanged(Qt3DCore::QAbstractSkeleton *skeleton)

## Member Function Documentation

### QSkeletonMapping::QSkeletonMapping(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QSkeletonMapping.

### `[protected]` QSkeletonMapping::QSkeletonMapping(Qt3DAnimation::QSkeletonMappingPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QSkeletonMapping.

### `[virtual]` QSkeletonMapping::~QSkeletonMapping()

Destroys the instance of QSkeletonMapping. The destructor is virtual.